PUPPET-CONFIG(8)

NAME
puppet-config - Interact with Puppet's configuration options.

SYNOPSIS
puppet config action

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument, although it may or may not be relevant to the present action. For example, server and run_mode are valid configuration parameters, so you can specify --server <servername>, or --run_mode <runmode> as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with --genconfig.

--render-as FORMAT
    The format in which to render output. The most common formats are json, s (string), yaml, and console, but other options such as dot are sometimes available.

--verbose
    Whether to log verbosely.

--debug
    Whether to log debug information.

ACTIONS

print - Examine Puppet's current configuration settings.
    SYNOPSIS

    puppet config print (all | setting [setting ...]

    DESCRIPTION

    Prints the value of a single configuration option or a list of configuration options.

    This action is an alternate interface to the information available with puppet <subcommand> --configprint.

    RETURNS

    A single value when called with one config setting, and a list of settings and values when called with multiple options or "all."

    NOTES

    By default, this action reads the configuration in agent mode. Use the '--run_mode' and '--environment' flags to examine other configuration domains.

EXAMPLES
print

Get puppet's runfile directory:

$ puppet config print rundir

Get a list of important directories from the master's config:

$ puppet config print all --run_mode master | grep -E "(path|dir)"

COPYRIGHT AND LICENSE
Copyright 2011 by Puppet Labs Apache 2 license; see COPYING